Bug 546621 (CVE-2010-0733) - CVE-2010-0733 postgresql: Integer overflow in hash table size calculation
Summary: CVE-2010-0733 postgresql: Integer overflow in hash table size calculation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0733
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://developer.postgresql.org/pgdoc...
Whiteboard:
Depends On: 552617 586056 586057 586058 586059 589541 589543 812237
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 13:30 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-26 15:09:25 UTC


Attachments (Terms of Use)
Local copy of relevant upstream patch (4.55 KB, patch)
2009-12-11 13:37 UTC, Jan Lieskovsky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0427 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 15:48:23 UTC
Red Hat Product Errata RHSA-2010:0428 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 16:15:45 UTC
Red Hat Product Errata RHSA-2010:0429 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 16:29:57 UTC

Description Jan Lieskovsky 2009-12-11 13:30:41 UTC
An integer overflow flaw was found in the way postgresql
used to calculate size for the hashtable for joined 
relations. An attacker could formulate a specially-crafted
sql query, which once processed would lead to denial of
service (postgresql daemon crash).

Upstream bug report:
--------------------
[1] http://archives.postgresql.org/pgsql-bugs/2009-10/msg00277.php

References:
-----------
[2] http://archives.postgresql.org/pgsql-bugs/2009-10/msg00287.php
[3] http://archives.postgresql.org/pgsql-bugs/2009-10/msg00310.php
[4] http://archives.postgresql.org/pgsql-bugs/2009-10/msg00289.php

Upstream patch:
---------------
git clone git://git.postgresql.org/git/postgresql.git
cd postgresql && git show 64b057e6823655fb6c5d1f24a28f236b94dd6c54

Credit:
-------
Bernt Marius Johnsen

Comment 2 Jan Lieskovsky 2009-12-11 13:37:42 UTC
Created attachment 377733 [details]
Local copy of relevant upstream patch

Comment 4 Tomas Hoger 2009-12-15 10:14:16 UTC
(In reply to comment #0)
> Upstream patch:
> ---------------
> git clone git://git.postgresql.org/git/postgresql.git
> cd postgresql && git show 64b057e6823655fb6c5d1f24a28f236b94dd6c54

http://git.postgresql.org/gitweb?p=postgresql.git;a=commitdiff;h=64b057e6823655fb6c5d1f24a28f236b94dd6c54

Comment 11 Vincent Danen 2010-03-09 16:44:57 UTC
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.

Comment 12 Vincent Danen 2010-03-16 17:23:48 UTC
This one has been assigned CVE-2010-0733

Comment 19 errata-xmlrpc 2010-05-19 15:48:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0427 https://rhn.redhat.com/errata/RHSA-2010-0427.html

Comment 20 errata-xmlrpc 2010-05-19 16:16:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0428 https://rhn.redhat.com/errata/RHSA-2010-0428.html

Comment 21 errata-xmlrpc 2010-05-19 16:30:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0429 https://rhn.redhat.com/errata/RHSA-2010-0429.html


Note You need to log in before you can comment on or make changes to this bug.